Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Delete index

Prev Next

Available in VPC

Delete the latest index for a media asset. Since only one latest index is retained per asset, this operation deletes the latest index for the asset without specifying an index ID.

Note
  • Only the latest index for which analysis is complete can be deleted. If analysis is in progress, a 409 error will be returned.
  • Deleted indexes cannot be restored. Sub-results linked to the index, such as scene summaries, will also be cleared.

Request

This section describes the request format. The method and URI are as follows:

Method URI
DELETE /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/index

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
asset_id String Required Media asset ID

Request example

The request example is as follows:

curl --location --request DELETE 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/index' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Error code Message Description
409 Cannot delete index while analysis is in progress Index deletion requested while analysis is in progress

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success"
}